<?php
if(!class_exists('WP_List_Table')){
	if(file_exists( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' )){
		require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
	}
}

class Link_List_Table extends WP_List_Table {
	 function __construct() {
		 parent::__construct( array(
		'singular'=> 'sweepstake',
		'plural' => 'sweepstakes',
		'ajax'	=> false
		) );
	 }
	
    function column_title($item){
        
        $actions = array(
            'edit'      => sprintf('<a href="?page=%s&action=%s&movie=%s">Edit</a>',$_REQUEST['page'],'edit',$item['ID']),
            'delete'    => sprintf('<a href="?page=%s&action=%s&movie=%s">Delete</a>',$_REQUEST['page'],'delete',$item['ID']),
        );
        
        return sprintf('%1$s <span style="color:silver">(id:%2$s)</span>%3$s',
            $item['title'],
            $item['ID'],
            $this->row_actions($actions)
        );
    }


    function column_cb($item){
        return sprintf(
            '<input type="checkbox" name="%1$s[]" value="%2$s" />',
            $this->_args['singular'],
            $item['ID']
        );
    }


	function get_columns() {
		return $columns= array(
			'col_id' =>__('ID#'),
			'col_title'=>__('Title'),
			'col_buttontext'=>__('Button Text'),
			'col_redirectpage'=>__('Redirect URL'),
			'col_action'=>__('Action')
		);
	}
	
	public function get_sortable_columns() {
		return $sortable = array(
		
		);
	}
	
	
	
	function prepare_items() {
		global $wpdb, $_wp_column_headers;
		$screen = get_current_screen();

        $query = "SELECT * FROM ".$wpdb->prefix."wp4fb_sweepstake";

	    $orderby = !empty($_GET["orderby"]) ? mysql_real_escape_string($_GET["orderby"]) : 'ASC';
	    $order = !empty($_GET["order"]) ? mysql_real_escape_string($_GET["order"]) : '';
	    if(!empty($orderby) & !empty($order)){ $query.=' ORDER BY '.$orderby.' '.$order; }

        $totalitems = $wpdb->query($query);
		
        $perpage = 5;
		
        $paged = !empty($_GET["paged"]) ? mysql_real_escape_string($_GET["paged"]) : '';
		
        if(empty($paged) || !is_numeric($paged) || $paged<=0 ){ $paged=1; }
		
        $totalpages = ceil($totalitems/$perpage);
		
	    if(!empty($paged) && !empty($perpage)){
		    $offset=($paged-1)*$perpage;
    		$query.=' LIMIT '.(int)$offset.','.(int)$perpage;
	    }

		$this->set_pagination_args( array(
			"total_items" => $totalitems,
			"total_pages" => $totalpages,
			"per_page" => $perpage,
		) );		
		
		$columns = $this->get_columns();
		$hidden = array();
		$sortable = $this->get_sortable_columns();
		$this->_column_headers = array($columns, $hidden, $sortable);

		$this->items = $wpdb->get_results($query);
	}

	function display_rows() {
	
	
		$records = $this->items;
		
		list( $columns, $hidden ) = $this->get_column_info();
		
		if(!empty($records)){foreach($records as $rec){
		
			echo '<tr id="record_'.$rec->id.'" class="sweep'.stripslashes($rec->id).'">';
			foreach ( $columns as $column_name => $column_display_name ) {
			
				$class = "class='$column_name column-$column_name'";
				$style = "";
				if ( in_array( $column_name, $hidden ) ) $style = ' style="display:none;"';
				$attributes = $class . $style;
				
				$editlink  = '../wp-admin/admin.php?page=Sweepstake&action=edit&id='.(int)$rec->id;
				
				switch ( $column_name ) {
					case "col_id":	echo '<td '.$attributes.'>'.stripslashes($rec->id).'</td>';	break;
					case "col_title": echo '<td '.$attributes.'><strong><a href="?page=Sweepstake&sweepid='.stripslashes($rec->id).'" title="Edit">'.stripslashes($rec->title).'</a></strong></td>'; break;
					case "col_buttontext": echo '<td '.$attributes.'>'.stripslashes($rec->buttontext).'</td>'; break;
					case "col_redirectpage": echo '<td '.$attributes.'>'.get_permalink($rec->redirectpage).'</td>'; break;
					case "col_action": echo '<td '.$attributes.'>
							<a href="?page=Sweepstake&sweepid='.stripslashes($rec->id).'">Edit</a> | 
							<a href="javascript:void(0);" onclick="deletesweep('.stripslashes($rec->id).')" class="deletor'.stripslashes($rec->id).'">Delete</a> | <a href="?page=Sweepstake&sweepentry='.stripslashes($rec->id).'">Show Entries</a>
						</td>'; break;
				}
			}
			
			echo'</tr>';
		}}
	}

}

class wp4fb_emails_List_Table extends WP_List_Table {
	 function __construct() {
		 parent::__construct( array(
		'singular'=> 'entry', //Singular label
		'plural' => 'entries', //plural label, also this well be one of the table css class
		'ajax'	=> false //We won't support Ajax for this table
		) );
	 }
	 


	function get_columns() {
		return $columns= array(
			'col_upicsquare' =>__('Avatar'),
			'col_uemail'=>__('Title'),
			'col_uname'=>__('Name'),
			'col_uprofileurl'=>__('Profile URL'),
			'col_usex'=>__('Gender'),
			'col_uentry'=>__('Entry Count'),
			'col_ulocale'=>__('Action')
		);
	}
	
	public function get_sortable_columns() {
		return $sortable = array(
			//'col_id'=>'id',
			//'col_title'=>'title',
			//'col_buttontext'=>'buttontext'
		);
	}
	
	
	
	function prepare_items() {
		global $wpdb, $_wp_column_headers;
		$screen = get_current_screen();
	
		/* -- Preparing your query -- */
			$query = "SELECT * FROM ".$wpdb->prefix."wp4fb_emails where sweepsid='$_GET[sweepentry]'";
	
		/* -- Ordering parameters -- */
			//Parameters that are going to be used to order the result
			$orderby = !empty($_GET["orderby"]) ? mysql_real_escape_string($_GET["orderby"]) : 'ASC';
			$order = !empty($_GET["order"]) ? mysql_real_escape_string($_GET["order"]) : '';
			if(!empty($orderby) & !empty($order)){ $query.=' ORDER BY '.$orderby.' '.$order; }
	
		/* -- Pagination parameters -- */
			//Number of elements in your table?
			$totalitems = $wpdb->query($query); //return the total number of affected rows
			//How many to display per page?
			$perpage = 20;
			//Which page is this?
			$paged = !empty($_GET["paged"]) ? mysql_real_escape_string($_GET["paged"]) : '';
			//Page Number
			if(empty($paged) || !is_numeric($paged) || $paged<=0 ){ $paged=1; }
			//How many pages do we have in total?
			$totalpages = ceil($totalitems/$perpage);
			//adjust the query to take pagination into account
			if(!empty($paged) && !empty($perpage)){
				$offset=($paged-1)*$perpage;
				$query.=' LIMIT '.(int)$offset.','.(int)$perpage;
			}
	
		/* -- Register the pagination -- */
			$this->set_pagination_args( array(
				"total_items" => $totalitems,
				"total_pages" => $totalpages,
				"per_page" => $perpage,
			) );
			//The pagination links are automatically built according to those parameters
	
		/* -- Register the Columns -- */
	$columns = $this->get_columns();
	$hidden = array();
	$sortable = $this->get_sortable_columns();
	$this->_column_headers = array($columns, $hidden, $sortable);
	
		/* -- Fetch the items -- */
			$this->items = $wpdb->get_results($query);
	}
	
	function display_rows() {
	
		//Get the records registered in the prepare_items method
		$records = $this->items;
	
		//Get the columns registered in the get_columns and get_sortable_columns methods
		list( $columns, $hidden ) = $this->get_column_info();
	
		//Loop for each record
		if(!empty($records)){foreach($records as $rec){
	
			//Open the line
	
			echo '<tr id="record_'.$rec->id.'" class="sweep'.stripslashes($rec->id).'">';
			foreach ( $columns as $column_name => $column_display_name ) {
	
				//Style attributes for each col
				$class = "class='$column_name column-$column_name'";
				$style = "";
				if ( in_array( $column_name, $hidden ) ) $style = ' style="display:none;"';
				$attributes = $class . $style;
	
				//edit link
				$editlink  = '../wp-admin/admin.php?page=Sweepstake&action=edit&id='.(int)$rec->id;
	
				//Display the cell
				switch ( $column_name ) {
					case "col_upicsquare":	echo '<td '.$attributes.'><a href="'.stripslashes($rec->uprofileurl).'" target="_blank"><img src="'.str_replace("type=normal", "type=small", stripslashes($rec->upicsquare)).'" /></a></td>';	break;
					case "col_uemail": echo '<td '.$attributes.'><strong>'.stripslashes($rec->uemail).'</strong></td>'; break;
					case "col_uname": echo '<td '.$attributes.'>'.stripslashes($rec->uname).'</td>'; break;
					case "col_uprofileurl": echo '<td '.$attributes.'><a href="'.stripslashes($rec->uprofileurl).'" target="_blank">'.stripslashes($rec->uprofileurl).'</a></td>'; break;
					case "col_usex": echo '<td '.$attributes.'>'.stripslashes($rec->usex).'</td>'; break;
					case "col_uentry": echo '<td '.$attributes.'>'.stripslashes($rec->uentry).'</td>'; break;
					case "col_ulocale": echo '<td '.$attributes.'><a href="admin.php?page=Sweepstake&sweepentry='.$_GET['sweepentry'].'&deleteentry='.stripslashes($rec->id).'" class="deleteentry">delete</a></td>'; break;
				}
			}
	
			//Close the line
			echo'</tr>';
		}}
	}

}
?>